package oop.ExceptionHandling;

public class UnCheckedException {
	
	public static void main(String[] args) {
		/*
		 * - Solche Errors kann man nicht mit try und Catch behandeln also sie sind  keine gute Praxis
		 * - try und catch werden den Error nicht lösen
		 */
		try {
			f();
		}catch (Error e) {
			System.out.println(e);//java.lang.StackOverflowError
		}
		
	}
	
	// Die Methode ruft sich bis unendlich
	static void f() {
		System.out.println("f()");
		f();
	}
}
